// sunrise.cpp :    sun_rise_set
//

#include <windows.h>
#include <time.h>
#include <math.h>
#include <conio.h>
#include "sun.h"

int main()
{
	time_t m_time;//   
	time_t m_time_gmt;//    
	double t_rise = 0;//   ( )
	double t_set=  0;//   ( )
	double La,Lo;//      ( )
	char	text1[60];//   ANSI
	char	text2[60];//   DOS
	struct tm *tm_time;
	
	//    ( )
	time(&m_time);
	tm_time   = gmtime( &m_time); //     GMT
	m_time_gmt = mktime(tm_time); //     (GMT)
	
	//     
	double time_zone;
	time_zone = difftime(m_time,m_time_gmt)/3600.;
	
	// 
	La = 55+45/60.;
	Lo = 37+35/60.;
	
	//        ( )
	int ret = sun_rise_set(tm_time,time_zone,La,Lo,&t_rise,&t_set);
	
	//   
	sprintf(text1,": ( )\n\r");
	CharToOem (text1,text2);
	printf(text2);
	if (ret==-1)//  
	{
		sprintf(text1,"  ");
		CharToOem (text1,text2);
		printf(text2);
	}
	if (ret==-2)//   
	{
		sprintf(text1,"  ");
		CharToOem (text1,text2);
		printf(text2);
	}
	if (ret==1)//  
	{
		sprintf(text1,"   %d . %d .\n\r",(int)t_rise,(int)((t_rise-floor(t_rise))*60));
		CharToOem (text1,text2);
		printf(text2);

		sprintf(text1,"    %d . %d .\n\r",(int)t_set,(int)((t_set-floor(t_set))*60));
		CharToOem (text1,text2);
		printf(text2);
	}
	// ,     
	getch();

	return 0;
}

